Delete merchant owner
curl --request DELETE \
--url https://api.tilta.io/v1/merchants/{external_id}/owners/{person_external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/merchants/{external_id}/owners/{person_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/merchants/{external_id}/owners/{person_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/merchants/{external_id}/owners/{person_external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"person_external_id": "<string>",
"merchant_external_id": "<string>",
"status": "PENDING_VERIFICATION",
"percent_ownership": 50,
"role": "REAL"
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Merchants
Remove an owner
Delete the association between a person and a merchant so that the person is no longer declared as an ultimate beneficial owner.
DELETE
/
v1
/
merchants
/
{external_id}
/
owners
/
{person_external_id}
Delete merchant owner
Remove a declared owner when the merchant’s ownership structure changes. The person record itself is unaffected and remains available for other merchants.
Tilta re-evaluates KYB when the declared ownership structure changes. Keep the remaining owners accurate so that the merchant
is not held back for review.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a merchant.
Maximum string length:
100Pattern:
^[a-zA-Z0-9-_]+$Unique identifier of a person.
Maximum string length:
100Pattern:
^[a-zA-Z0-9-_]+$Response
Available options:
PENDING_VERIFICATION, VERIFYING, NEEDS_REVIEW, MANUAL_REVIEW, REJECTED, APPROVED, SUSPENDED, INACTIVE Required range:
0 <= x <= 100Available options:
REAL, FICTIONAL